none
I can't install BizTalk Adapter Pack 2.0 RRS feed

  • Question

  • I installed all pre-requisites and WCF LOB Adapter SP2 for BizTalk Adapter Pack 2.0 but when I try to install BizTalk Adapter Pack 2.0 or SQL Adapter.

    it gives me the following error:

    Microsoft BizTalk Adapter Pack requires WCF LOB Adapter SDK version 3.0.5005.0 or above.

    Any help?

    Thanks in Advance!!

     

     

     

    Thursday, March 25, 2010 7:54 AM

All replies

  • Had the same problem while setting up our productive environment. Did you install the LOB Adapter SDK SP2 (!) and not only the Adapter Pack? The SDK is somehow needed.
    Thursday, March 25, 2010 10:06 AM
  • Yes, I did install LOB Adapter SDK SP2 but no lucks.
    Thursday, March 25, 2010 11:08 AM
  • Hi,

    Did you follow the installation manual and have right Adapter Pack and necessary WCF Adapter SDK (see my article on working with BizTalk Adapter Pack 2.0 http://www.motion10.com/who-we-are/news/Hotrod_8_Final_V1%20_2_.pdf) and blogpost http://soa-thoughts.blogspot.com/2009/07/biztalk-adapter-pack-20-sql-adapter.html. Let me know if you still have issues.

    HTH,

    Regards,

    Steef-Jan Wiggers
    MCTS BizTalk Server
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly

     


    BizTalk
    Thursday, March 25, 2010 12:06 PM
    Moderator
  • I downloaded WCF LOB Adapter SDK SP2 x86.exe from microsoft website and I installed it with complete option successfully in my VM

    and when I tried to in add consume adapter service , it gives me the following message

    No valid adapters installed on the machine

    then I installed Microsoft BizTalk Adapter for SQL Server

    it gives me the error in my first thread.

    My vm with

    Windows Server 2003 Enterprise Edition SP2

     Microsoft Framework 3.5 SP1

    VS 2008

    I don't know what I missed

     

    Thanks

     

    Thursday, March 25, 2010 12:48 PM
  • Hi,

    On what kind of machine are you working x32 or x64? Otherwise look here: http://social.msdn.microsoft.com/Forums/en-US/biztalkr2adapters/thread/8d99e9f2-d3d8-4542-8a5e-dbbe716ae5e7.

    HTH,

    Regards,

    Steef-Jan Wiggers
    MCTS BizTalk Server
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly

     


    BizTalk
    Thursday, March 25, 2010 12:54 PM
    Moderator
  • it is x32.

    When I installed WCF LOB Adapter SDK SP2, It didn't install anything in GAC and didn't change my machine.config.

    I don't know what is the problem.

     

    Thanks

     

    Thursday, March 25, 2010 3:07 PM
  • Hi,

    We can rule out x64, that is good.  Another question I have is does WCF SDK and Adapter Pack it show up in Add/Remove programs? And is installed properly, because as you state you notice nothing in GAC or machine.config. I suggest you look into troubleshooting: http://msdn.microsoft.com/en-us/library/dd787990(BTS.10).aspx for SQL Adapter.

    HTH,

    Regards,

    Steef-Jan Wiggers
    MCTS BizTalk Server
    http://soa-thoughts.blogspot.com/
    If this answers your question please mark it accordingly


    BizTalk
    Thursday, March 25, 2010 6:38 PM
    Moderator
  • Yes It is shown up in add/remove programs and I removed it and added many times but the same issue

    Also I've already checked microsoft troubleshooting issues

    and I tried to add Microsoft.Adapters.Sql manually to GAC and walked through with steps

    Unfortunately, nothing happened.

     

    Thanks

    Thursday, March 25, 2010 9:20 PM
  • It is possible you may not have permissions to modify machine.config on your box based on file permissions and group policies. Are you logging in as a local admin? If machine.config cannot be modified then no adapter bindings will show up when you try to generate the schemas in VS.

    Thanks,


    If this answers your question, please use the "Answer" button to say so | Ben Cline
    Friday, March 26, 2010 2:38 PM
    Moderator